package com.pdaaphm.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.pdaaphm.common.annotation.Excel;
import com.pdaaphm.common.core.domain.BaseEntity;

/**
 * 算法配置对象 t_alg_config
 * 
 * @author Allen
 * @date 2024-08-19
 */
public class AlgConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 算法名称 */
    @Excel(name = "算法名称")
    private String algName;

    /** 算法类型（1补全，2扩充，3特称提取，4退化评估，5故障预测） */
    @Excel(name = "算法类型", readConverterExp = "1=补全，2扩充，3特称提取，4退化评估，5故障预测")
    private String algType;

    /** 处理的算法 */
    private String algUrl;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAlgName(String algName) 
    {
        this.algName = algName;
    }

    public String getAlgName() 
    {
        return algName;
    }
    public void setAlgType(String algType) 
    {
        this.algType = algType;
    }

    public String getAlgType() 
    {
        return algType;
    }
    public void setAlgUrl(String algUrl) 
    {
        this.algUrl = algUrl;
    }

    public String getAlgUrl() 
    {
        return algUrl;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("algName", getAlgName())
            .append("algType", getAlgType())
            .append("algUrl", getAlgUrl())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
